Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/StreetsideURLTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/StreetsideURLTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/StreetsideURLTest.java	(revision 36194)
@@ -16,86 +16,83 @@
 
 class StreetsideURLTest {
-  // TODO: replace with Streetside URL @rrh
-  private static final String CLIENT_ID_QUERY_PART = "client_id=T1Fzd20xZjdtR0s1VDk5OFNIOXpYdzoxNDYyOGRkYzUyYTFiMzgz";
+    // TODO: replace with Streetside URL @rrh
+    private static final String CLIENT_ID_QUERY_PART = "client_id=T1Fzd20xZjdtR0s1VDk5OFNIOXpYdzoxNDYyOGRkYzUyYTFiMzgz";
 
-  public static class APIv3 {
+    public static class APIv3 {
 
-    /*@Ignore
-	  @Test
-    public void testSearchDetections() {
-      assertUrlEquals(StreetsideURL.APIv3.searchDetections(null), "https://a.streetside.com/v3/detections", CLIENT_ID_QUERY_PART);
+        /*@Ignore
+        @Test
+        public void testSearchDetections() {
+          assertUrlEquals(StreetsideURL.APIv3.searchDetections(null), "https://a.streetside.com/v3/detections", CLIENT_ID_QUERY_PART);
+        }
+
+        @Ignore
+        @Test
+        public void testSearchImages() {
+          assertUrlEquals(StreetsideURL.APIv3.searchImages(null), "https://a.streetside.com/v3/images", CLIENT_ID_QUERY_PART);
+        }
+
+        @Ignore
+        @Test
+        public void testSubmitChangeset() throws MalformedURLException {
+          assertEquals(
+        new URL("https://a.streetside.com/v3/changesets?" + CLIENT_ID_QUERY_PART),
+        StreetsideURL.APIv3.submitChangeset()
+          );
+        }*/
     }
 
-    @Ignore
     @Test
-    public void testSearchImages() {
-      assertUrlEquals(StreetsideURL.APIv3.searchImages(null), "https://a.streetside.com/v3/images", CLIENT_ID_QUERY_PART);
-    }
-
-    @Ignore
-    @Test
-    public void testSubmitChangeset() throws MalformedURLException {
-      assertEquals(
-        new URL("https://a.streetside.com/v3/changesets?" + CLIENT_ID_QUERY_PART),
-        StreetsideURL.APIv3.submitChangeset()
-      );
-    }*/
-  }
-
-
-	@Test
     void testParseNextFromHeaderValue() throws MalformedURLException {
-      String headerVal =
-        "<https://a.streetside.com/v3/sequences?page=1&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2>; rel=\"first\", " +
-        "<https://a.streetside.com/v3/sequences?page=2&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2>; rel=\"prev\", " +
-        "<https://a.streetside.com/v3/sequences?page=4&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2>; rel=\"next\"";
-      assertEquals(new URL("https://a.streetside.com/v3/sequences?page=4&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2"), StreetsideURL.APIv3.parseNextFromLinkHeaderValue(headerVal));
+        String headerVal = "<https://a.streetside.com/v3/sequences?page=1&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2>; rel=\"first\", "
+                + "<https://a.streetside.com/v3/sequences?page=2&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2>; rel=\"prev\", "
+                + "<https://a.streetside.com/v3/sequences?page=4&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2>; rel=\"next\"";
+        assertEquals(new URL(
+                "https://a.streetside.com/v3/sequences?page=4&per_page=200&client_id=TG1sUUxGQlBiYWx2V05NM0pQNUVMQTo2NTU3NTBiNTk1NzM1Y2U2"),
+                StreetsideURL.APIv3.parseNextFromLinkHeaderValue(headerVal));
     }
 
     @Test
     void testParseNextFromHeaderValue2() throws MalformedURLException {
-      String headerVal =
-        "<https://urlFirst>; rel=\"first\", " +
-        "rel = \"next\" ; < ; , " +
-        "rel = \"next\" ; <https://urlNext> , " +
-        "<https://urlPrev>; rel=\"prev\"";
-      assertEquals(new URL("https://urlNext"), StreetsideURL.APIv3.parseNextFromLinkHeaderValue(headerVal));
+        String headerVal = "<https://urlFirst>; rel=\"first\", " + "rel = \"next\" ; < ; , "
+                + "rel = \"next\" ; <https://urlNext> , " + "<https://urlPrev>; rel=\"prev\"";
+        assertEquals(new URL("https://urlNext"), StreetsideURL.APIv3.parseNextFromLinkHeaderValue(headerVal));
     }
 
     @Test
     void testParseNextFromHeaderValueNull() {
-      assertNull(StreetsideURL.APIv3.parseNextFromLinkHeaderValue(null));
+        assertNull(StreetsideURL.APIv3.parseNextFromLinkHeaderValue(null));
     }
 
     @Test
     void testParseNextFromHeaderValueMalformed() {
-      assertNull(StreetsideURL.APIv3.parseNextFromLinkHeaderValue("<###>; rel=\"next\", blub"));
+        assertNull(StreetsideURL.APIv3.parseNextFromLinkHeaderValue("<###>; rel=\"next\", blub"));
     }
 
-
-  /*public static class Cloudfront {
+    /*public static class Cloudfront {
     @Ignore
-	@Test
+    @Test
     public void testThumbnail() {
       assertUrlEquals(StreetsideURL.VirtualEarth.streetsideTile("arbitrary_key", true), "https://d1cuyjsrcm0gby.cloudfront.net/arbitrary_key/thumb-2048.jpg");
       assertUrlEquals(StreetsideURL.VirtualEarth.streetsideTile("arbitrary_key2", false), "https://d1cuyjsrcm0gby.cloudfront.net/arbitrary_key2/thumb-320.jpg");
     }
-  }*/
+    }*/
 
-  @Disabled
-  @Test
-  void testBrowseImageURL() throws MalformedURLException {
-    assertEquals(new URL("https://www.streetside.com/map/im/1234567890123456789012"), StreetsideURL.MainWebsite.browseImage("1234567890123456789012"));
-  }
+    @Disabled
+    @Test
+    void testBrowseImageURL() throws MalformedURLException {
+        assertEquals(new URL("https://www.streetside.com/map/im/1234567890123456789012"),
+                StreetsideURL.MainWebsite.browseImage("1234567890123456789012"));
+    }
 
-  @Test
-  void testIllegalBrowseImageURL() {
-    assertThrows(IllegalArgumentException.class, () -> StreetsideURL.MainWebsite.browseImage(null));
-  }
+    @Test
+    void testIllegalBrowseImageURL() {
+        assertThrows(IllegalArgumentException.class, () -> StreetsideURL.MainWebsite.browseImage(null));
+    }
 
-  @Disabled
-  @Test
-  void testConnectURL() {
-    /*assertUrlEquals(
+    @Disabled
+    @Test
+    void testConnectURL() {
+        /*assertUrlEquals(
         StreetsideURL.MainWebsite.connect("http://redirect-host/ä"),
         "https://www.streetside.com/connect",
@@ -104,7 +101,7 @@
         "response_type=token",
         "redirect_uri=http%3A%2F%2Fredirect-host%2F%C3%A4"
-    );
+        );
 
-    assertUrlEquals(
+        assertUrlEquals(
         StreetsideURL.MainWebsite.connect(null),
         "https://www.streetside.com/connect",
@@ -112,7 +109,7 @@
         "scope=user%3Aread+public%3Aupload+public%3Awrite",
         "response_type=token"
-    );
+        );
 
-    assertUrlEquals(
+        assertUrlEquals(
         StreetsideURL.MainWebsite.connect(""),
         "https://www.streetside.com/connect",
@@ -120,54 +117,57 @@
         "scope=user%3Aread+public%3Aupload+public%3Awrite",
         "response_type=token"
-    );*/
-  }
+        );*/
+    }
 
-  @Disabled
-  @Test
-  void testUploadSecretsURL() throws MalformedURLException {
-    /*assertEquals(
+    @Disabled
+    @Test
+    void testUploadSecretsURL() throws MalformedURLException {
+        /*assertEquals(
         new URL("https://a.streetside.com/v2/me/uploads/secrets?"+CLIENT_ID_QUERY_PART),
         StreetsideURL.uploadSecretsURL()
-    );*/
-  }
+        );*/
+    }
 
-  @Disabled
-  @Test
-  void testUserURL() throws MalformedURLException {
-    /*assertEquals(
+    @Disabled
+    @Test
+    void testUserURL() throws MalformedURLException {
+        /*assertEquals(
         new URL("https://a.streetside.com/v3/me?"+CLIENT_ID_QUERY_PART),
         StreetsideURL.APIv3.userURL()
-    );*/
-  }
+        );*/
+    }
 
-  @Test
-  void testString2MalformedURL()
-      throws IllegalAccessException, IllegalArgumentException, InvocationTargetException, NoSuchMethodException, SecurityException {
-    Method method = StreetsideURL.class.getDeclaredMethod("string2URL", String[].class);
-    method.setAccessible(true);
-    Assertions.assertNull(method.invoke(null, new Object[]{new String[]{"malformed URL"}})); // this simply invokes string2URL("malformed URL")
-    Assertions.assertNull(method.invoke(null, new Object[]{null})); // invokes string2URL(null)
-  }
+    @Test
+    void testString2MalformedURL() throws IllegalAccessException, IllegalArgumentException, InvocationTargetException,
+            NoSuchMethodException, SecurityException {
+        Method method = StreetsideURL.class.getDeclaredMethod("string2URL", String[].class);
+        method.setAccessible(true);
+        Assertions.assertNull(method.invoke(null, new Object[] { new String[] { "malformed URL" } })); // this simply invokes string2URL("malformed URL")
+        Assertions.assertNull(method.invoke(null, new Object[] { null })); // invokes string2URL(null)
+    }
 
-  @Test
-  void testUtilityClass() {
-    TestUtil.testUtilityClass(StreetsideURL.class);
-    TestUtil.testUtilityClass(StreetsideURL.APIv3.class);
-    TestUtil.testUtilityClass(StreetsideURL.VirtualEarth.class);
-    TestUtil.testUtilityClass(StreetsideURL.MainWebsite.class);
-  }
+    @Test
+    void testUtilityClass() {
+        TestUtil.testUtilityClass(StreetsideURL.class);
+        TestUtil.testUtilityClass(StreetsideURL.APIv3.class);
+        TestUtil.testUtilityClass(StreetsideURL.VirtualEarth.class);
+        TestUtil.testUtilityClass(StreetsideURL.MainWebsite.class);
+    }
 
-  private static void assertUrlEquals(URL actualUrl, String expectedBaseUrl, String... expectedParams) {
-    final String actualUrlString = actualUrl.toString();
-    assertEquals(expectedBaseUrl, actualUrlString.contains("?") ? actualUrlString.substring(0, actualUrlString.indexOf('?')) : actualUrlString);
-    String[] actualParams = actualUrl.getQuery() == null ? new String[0] : actualUrl.getQuery().split("&");
-    assertEquals(expectedParams.length, actualParams.length);
-    for (int exIndex = 0; exIndex < expectedParams.length; exIndex++) {
-      boolean parameterIsPresent = false;
-      for (int acIndex = 0; !parameterIsPresent && acIndex < actualParams.length; acIndex++) {
-        parameterIsPresent |= actualParams[acIndex].equals(expectedParams[exIndex]);
-      }
-      Assertions.assertTrue(parameterIsPresent, expectedParams[exIndex] + " was expected in the query string of " + actualUrl.toString() + " but wasn't there.");
+    private static void assertUrlEquals(URL actualUrl, String expectedBaseUrl, String... expectedParams) {
+        final String actualUrlString = actualUrl.toString();
+        assertEquals(expectedBaseUrl,
+                actualUrlString.contains("?") ? actualUrlString.substring(0, actualUrlString.indexOf('?'))
+                        : actualUrlString);
+        String[] actualParams = actualUrl.getQuery() == null ? new String[0] : actualUrl.getQuery().split("&");
+        assertEquals(expectedParams.length, actualParams.length);
+        for (int exIndex = 0; exIndex < expectedParams.length; exIndex++) {
+            boolean parameterIsPresent = false;
+            for (int acIndex = 0; !parameterIsPresent && acIndex < actualParams.length; acIndex++) {
+                parameterIsPresent |= actualParams[acIndex].equals(expectedParams[exIndex]);
+            }
+            Assertions.assertTrue(parameterIsPresent, expectedParams[exIndex] + " was expected in the query string of "
+                    + actualUrl + " but wasn't there.");
+        }
     }
-  }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/StreetsideUtilsTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/StreetsideUtilsTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/StreetsideUtilsTest.java	(revision 36194)
@@ -11,33 +11,32 @@
  * Tests the static methods of the class {@link StreetsideUtils}
  *
+ * @author nokutu
  * @see StreetsideUtils
- * @author nokutu
- *
  */
 class StreetsideUtilsTest {
 
-  @Test
-  void testUtilityClass() {
-    TestUtil.testUtilityClass(StreetsideUtils.class);
-  }
+    @Test
+    void testUtilityClass() {
+        TestUtil.testUtilityClass(StreetsideUtils.class);
+    }
 
-  /**
-   * Test {@link StreetsideUtils#degMinSecToDouble(RationalNumber[], String)}
-   * method.
-   */
-  @Test
-  void testDegMinSecToDouble() {
-    RationalNumber[] num = new RationalNumber[3];
-    num[0] = new RationalNumber(1, 1);
-    num[1] = new RationalNumber(0, 1);
-    num[2] = new RationalNumber(0, 1);
-    String ref = GpsTagConstants.GPS_TAG_GPS_LATITUDE_REF_VALUE_NORTH;
-    assertEquals(1, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
-    ref = GpsTagConstants.GPS_TAG_GPS_LATITUDE_REF_VALUE_SOUTH;
-    assertEquals(-1, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
-    num[0] = new RationalNumber(180, 1);
-    assertEquals(-180, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
-    num[0] = new RationalNumber(190, 1);
-    assertEquals(170, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
-  }
+    /**
+     * Test {@link StreetsideUtils#degMinSecToDouble(RationalNumber[], String)}
+     * method.
+     */
+    @Test
+    void testDegMinSecToDouble() {
+        RationalNumber[] num = new RationalNumber[3];
+        num[0] = new RationalNumber(1, 1);
+        num[1] = new RationalNumber(0, 1);
+        num[2] = new RationalNumber(0, 1);
+        String ref = GpsTagConstants.GPS_TAG_GPS_LATITUDE_REF_VALUE_NORTH;
+        assertEquals(1, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
+        ref = GpsTagConstants.GPS_TAG_GPS_LATITUDE_REF_VALUE_SOUTH;
+        assertEquals(-1, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
+        num[0] = new RationalNumber(180, 1);
+        assertEquals(-180, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
+        num[0] = new RationalNumber(190, 1);
+        assertEquals(170, StreetsideUtils.degMinSecToDouble(num, ref), 0.01);
+    }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/TestUtil.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/TestUtil.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/TestUtil.java	(revision 36194)
@@ -18,60 +18,61 @@
 public final class TestUtil {
 
-  private TestUtil() {
-    // Prevent instantiation
-  }
+    private TestUtil() {
+        // Prevent instantiation
+    }
 
-  public static Field getAccessibleField(Class<?> clazz, String fieldName) {
-    try {
-      Field result = clazz.getDeclaredField(fieldName);
-      result.setAccessible(true);
-      Field modifiers = Field.class.getDeclaredField("modifiers");
-      modifiers.setAccessible(true);
-      modifiers.setInt(result, modifiers.getInt(result) & ~Modifier.FINAL);
-      return result;
-    } catch (NoSuchFieldException | SecurityException | IllegalArgumentException | IllegalAccessException e) {
-      throw new JosmRuntimeException(e);
+    public static Field getAccessibleField(Class<?> clazz, String fieldName) {
+        try {
+            Field result = clazz.getDeclaredField(fieldName);
+            result.setAccessible(true);
+            Field modifiers = Field.class.getDeclaredField("modifiers");
+            modifiers.setAccessible(true);
+            modifiers.setInt(result, modifiers.getInt(result) & ~Modifier.FINAL);
+            return result;
+        } catch (NoSuchFieldException | SecurityException | IllegalArgumentException | IllegalAccessException e) {
+            throw new JosmRuntimeException(e);
+        }
     }
-  }
 
-  /**
-   * Helper method for obtaining the value of a private field
-   * @param object the object of which you want the private field
-   * @param name the name of the private field
-   * @return the current value that field has
-   */
-  public static Object getPrivateFieldValue(Object object, String name) {
-    try {
-      return getAccessibleField(object.getClass(), name).get(object);
-    } catch (IllegalAccessException | SecurityException e) {
-      throw new JosmRuntimeException(e);
+    /**
+     * Helper method for obtaining the value of a private field
+     * @param object the object of which you want the private field
+     * @param name the name of the private field
+     * @return the current value that field has
+     */
+    public static Object getPrivateFieldValue(Object object, String name) {
+        try {
+            return getAccessibleField(object.getClass(), name).get(object);
+        } catch (IllegalAccessException | SecurityException e) {
+            throw new JosmRuntimeException(e);
+        }
     }
-  }
 
-  /**
-   * This method tests utility classes for common coding standards (exactly one constructor that's private,
-   * only static methods, …) and fails the current test if one of those standards is not met.
-   * This is inspired by <a href="https://stackoverflow.com/a/10872497">an answer on StackOverflow.com</a> .
-   * @param c the class under test
-   */
-  public static void testUtilityClass(final Class<?> c) {
-    try {
-      // class must be final
-      assertTrue(Modifier.isFinal(c.getModifiers()));
-      // with exactly one constructor
-      assertEquals(1, c.getDeclaredConstructors().length);
-      final Constructor<?> constructor = c.getDeclaredConstructors()[0];
-      // constructor has to be private
-      assertTrue(!constructor.isAccessible() && Modifier.isPrivate(constructor.getModifiers()));
-      constructor.setAccessible(true);
-      // Call private constructor for code coverage
-      constructor.newInstance();
-      for (Method m : c.getMethods()) {
-        // Check if all methods are static
-        assertTrue(m.getDeclaringClass() != c || Modifier.isStatic(m.getModifiers()));
-      }
-    } catch (InstantiationException | IllegalAccessException | IllegalArgumentException | InvocationTargetException e) {
-      throw new JosmRuntimeException(e);
+    /**
+     * This method tests utility classes for common coding standards (exactly one constructor that's private,
+     * only static methods, …) and fails the current test if one of those standards is not met.
+     * This is inspired by <a href="https://stackoverflow.com/a/10872497">an answer on StackOverflow.com</a> .
+     * @param c the class under test
+     */
+    public static void testUtilityClass(final Class<?> c) {
+        try {
+            // class must be final
+            assertTrue(Modifier.isFinal(c.getModifiers()));
+            // with exactly one constructor
+            assertEquals(1, c.getDeclaredConstructors().length);
+            final Constructor<?> constructor = c.getDeclaredConstructors()[0];
+            // constructor has to be private
+            assertTrue(!constructor.isAccessible() && Modifier.isPrivate(constructor.getModifiers()));
+            constructor.setAccessible(true);
+            // Call private constructor for code coverage
+            constructor.newInstance();
+            for (Method m : c.getMethods()) {
+                // Check if all methods are static
+                assertTrue(m.getDeclaringClass() != c || Modifier.isStatic(m.getModifiers()));
+            }
+        } catch (InstantiationException | IllegalAccessException | IllegalArgumentException
+                | InvocationTargetException e) {
+            throw new JosmRuntimeException(e);
+        }
     }
-  }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/api/JsonDecoderTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/api/JsonDecoderTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/api/JsonDecoderTest.java	(revision 36194)
@@ -1,5 +1,4 @@
 // License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.streetside.utils.api;
-
 
 import static org.junit.jupiter.api.Assertions.assertArrayEquals;
@@ -18,19 +17,19 @@
 class JsonDecoderTest {
 
-  @Test
-  void testUtilityClass() {
-    TestUtil.testUtilityClass(JsonDecoder.class);
-  }
+    @Test
+    void testUtilityClass() {
+        TestUtil.testUtilityClass(JsonDecoder.class);
+    }
 
-  @Test
-  void testDecodeDoublePair() {
-    assertArrayEquals(new double[0], JsonDecoder.decodeDoublePair(null));
-  }
+    @Test
+    void testDecodeDoublePair() {
+        assertArrayEquals(new double[0], JsonDecoder.decodeDoublePair(null));
+    }
 
-  static void assertDecodesToNull(Function<JsonObject, ?> function, String...parts) {
-    assertNull(function.apply(
-      Json.createReader(new ByteArrayInputStream(String.join(" ", parts).getBytes(StandardCharsets.UTF_8))).readObject()
-    ));
-  }
+    static void assertDecodesToNull(Function<JsonObject, ?> function, String... parts) {
+        assertNull(function.apply(
+                Json.createReader(new ByteArrayInputStream(String.join(" ", parts).getBytes(StandardCharsets.UTF_8)))
+                        .readObject()));
+    }
 
 }
